local frame = CreateFrame("FRAME", "CashFlowLiteFrame");
frame:RegisterEvent('PLAYER_ENTERING_WORLD');
frame:RegisterEvent('MAIL_SHOW');
frame:RegisterEvent('MAIL_CLOSED');

local function eventHandler(self, event, ...)
	if event == "MAIL_SHOW" then
		COPPER_AMOUNT = "%d"
		SILVER_AMOUNT = "%d"
		GOLD_AMOUNT = "%d"
	else
		COPPER_AMOUNT = "%d|cFF954F28"..COPPER_AMOUNT_SYMBOL.."|r";
		SILVER_AMOUNT = "%d|cFFC0C0C0"..SILVER_AMOUNT_SYMBOL.."|r";
		GOLD_AMOUNT = "%d|cFFF0D440"..GOLD_AMOUNT_SYMBOL.."|r";
	end
	YOU_LOOT_MONEY = "+%s";
	YOU_LOOT_MONEY_GUILD = "+%s (%s)";
	LOOT_MONEY_SPLIT = "+%s";
	LOOT_MONEY_SPLIT_GUILD = "+%s (%s)";
end
frame:SetScript("OnEvent", eventHandler);